<?php
include "scrinit.php";
include $menu;
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">
function required()
{
var empt = document.forms["form1"]["room"].value;
if (empt == "")
{
alert("ΝΑ ΚΑΤΑΧΩΡΙΣΕΤΕ ΤΟΝ ΑΡΙΘΜΟ ΤΗΣ ΑΙΘΟΥΣΑΣ!");
return false;
}
else 
{
alert('Code has accepted : you can try another');
return true; 
}
}
</script>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11px; }
.fieldset
{
    width:700px;
	background: #F5F9F0;
	border:2px solid green;
    -moz-border-radius:8px;
    -webkit-border-radius:8px;	
    border-radius:8px;	
}
</style>
</head>
<body>

<?php
require "dbconnect.php";
$dt=$_SESSION['dt'];
$usr=$_SESSION['usr'];
$name=$_SESSION['n'];

if (isset($_POST['submit1'])) {$arn=$_POST['arn'];}

if (isset($_GET['data'])) {	$arn=$_GET['data'];}
$sql=mysqli_query($con,"SELECT e.*, t.Name FROM epidiorthosi as e, teachers as t WHERE e.pmpresp=t.PMP and id='$arn' " );	
if (mysqli_num_rows($sql) > 0) {
        $row = mysqli_fetch_array($sql);
        $pmp=$row['pmp'];
		$room=$row['room'];	
		$datein= $row['datein'];
		$nameresp=$row['Name'];
		$pmpresp=$row['pmpresp'];
		$nameresp=$row['Name'];
		$perigrafi=$row['perigrafi'];
		$datefixed = $row['datefixed'];
		$energies=$row['energies'];
		$status=$row['status'];
		$edpr=$row['problemwith'];
        switch ($edpr) {
        case '1':
           $edpr1="checked";
            break;
        case '2':
            $edpr2="checked";
             break;
		case '3':
            $edpr3="checked";
             break;	 
        }		
		if ($status == 1){$selc="checked";} else {$selc="";}
		$edit=1;
    } 
    else 
    {
		$time=date("H:m");
		$date=date("Y-m-d");
		$datein= $date."T".$time;	
		$edit=0;
    }
	

?>
<h3>ΛΕΠΤΟΜΕΡΕΙΕΣ ΑΝΑΦΟΡΑΣ:</h3>
<?php
if ($edit==1)
{
?>
<form method="post" name = "form1"  >
<fieldset fieldset class="fieldset" >
<legend> ΑΝΑΦΟΡΑ ΠΡΟΒΛΗΜΑΤΟΣ </legend>
<p>ΑΡ. ΑΝΑΦΟΡΑΣ:<input type='text'  name='arn' value="<?php echo $arn; ?>" size=3  />
&nbsp&nbsp&nbsp&nbspΑΝΑΦΟΡΑ ΑΠΟ:<input type='text'  name= 'name' value="<?php echo $name;?>" size=30  /></p>
<p>ΗΜΕΡΟΜΗΝΙΑ:<input type="text"  name = 'datein' value =<?php echo $datein; ?>  >
&nbsp&nbsp&nbsp&nbspΑΡ. ΑΙΘΟΥΣΑΣ:<input type="text"  name = 'room' required value="<?php echo $room;?>" size=4 /></p>
<fieldset style="width:500px"><legend>ΕΙΔΟΣ ΠΡΟΒΛΗΜΑΤΟΣ:</legend>
<Input type = 'Radio' name ='edpr' <?php echo $edpr1;?> value= '1' >ΗΛΕΚΤΡΟΝΙΚΑ (Η/Υ,Εκτυπωτής,Προβολέας) <br>
<Input type = 'Radio' name ='edpr' <?php echo $edpr2;?> value= '2' >ΑΙΘΟΥΣΑΣ (Έπιπλα,Κουρτίνες,Ηλεκτρισμός,άλλα)<br>
<Input type = 'Radio' name ='edpr' <?php echo $edpr3;?> value= '3' >ΔΙΚΤΥΟ (Πρόβλημα σύνδεσης με διαδίκτυο)
</fieldset></p> 
<p>ΠΕΡΙΓΡΑΦΗ:<br>
<textarea name='perigrafi' cols='80' rows='4' required ><?php echo $perigrafi;?></textarea ></p>
<br>
<input type='Submit' name='submitpr' value='ΚΑΤΑΧΩΡΗΣΗ ΑΝΑΦΟΡΑΣ' >
</fieldset><br>

<fieldset fieldset class="fieldset" >
<legend> ΕΠΙΛΥΣΗ ΠΡΟΒΛΗΜΑΤΟΣ </legend>
<p>ΗΜΕΡ. ΕΠΙΛΥΣΗΣ:<input type="date"  name = 'datefixed' value =<?php echo $datefixed; ?> readonly >
 ΥΠΕΥΘΥΝΟΣ: <input type='text'  name= 'nameresp' value="<?php echo $nameresp; ?>" size=30 readonly /></p>
<p>ΕΝΕΡΓΕΙΕΣ:<br>
<textarea name='energies' cols='80' rows='4' readonly><?php echo $energies;?></textarea ></p>
<p>ΟΛΟΚΛΗΡΩΘΗΚΕ:<input type='checkbox'  name='status' value="1"  <?php echo $selc;?>  readonly /></p>
<input type="hidden"  name = 'pmpresp' value =<?php echo $pmpresp; ?>  >
</fieldset>
</form>	
<?php
}
else
{
?>
<form method="post" name = "form1"  >
<fieldset fieldset class="fieldset" >
<legend> ΑΝΑΦΟΡΑ ΠΡΟΒΛΗΜΑΤΟΣ </legend>
<p>ΑΡ. ΑΝΑΦΟΡΑΣ:<input type='text'  name='arn' value="<?php echo $arn; ?>" size=3  />
&nbsp&nbsp&nbsp&nbspΑΝΑΦΟΡΑ ΑΠΟ:<input type='text'  name= 'name' value="<?php echo $name;?>" size=30  /></p>
<p>ΗΜΕΡΟΜΗΝΙΑ:<input type="text"  name = 'datein' value =<?php echo $datein; ?>  >
&nbsp&nbsp&nbsp&nbspΑΡ. ΑΙΘΟΥΣΑΣ:<input type="text"  name = 'room' required value="<?php echo $room;?>" size=4 /></p>
<fieldset style="width:500px"><legend>ΕΙΔΟΣ ΠΡΟΒΛΗΜΑΤΟΣ:</legend>
<p><Input required type = 'Radio' name ='edpr' <?php echo $edpr1;?> value= '1' >ΗΛΕΚΤΡΟΝΙΚΑ (Η/Υ,Εκτυπωτής,Προβολέας) </p>
<p><Input required type = 'Radio' name ='edpr' <?php echo $edpr2;?> value= '2' >ΑΙΘΟΥΣΑΣ (Έπιπλα,Κουρτίνες,Ηλεκτρισμός,άλλα)</p>
<p><Input required type = 'Radio' name ='edpr' <?php echo $edpr3;?> value= '3' >ΔΙΚΤΥΟ (Πρόβλημα σύνδεσης με διαδίκτυο) </p>
</fieldset></p> 
<p>ΠΕΡΙΓΡΑΦΗ:<br>
<textarea name='perigrafi' cols='80' rows='5' required ><?php echo $perigrafi;?></textarea ></p>
<input type="hidden"  name = 'pmpresp' value =<?php echo $pmpresp; ?>  >
<br>
<input type='Submit' name='submitpr' value='ΚΑΤΑΧΩΡΗΣΗ ΑΝΑΦΟΡΑΣ' >
</fieldset><br>

</form>	
<?php	
}
if (isset($_POST['submitpr']))
{
    $arn=$_POST['arn'];
	$room=$_POST['room'];	
    $datein= $_POST['datein'];
    $problemwith=$_POST['edpr'];
	$pmpr= mysqli_query($con,"SELECT i.pmp,t.Name FROM ipefthinotites as i,teachers as t 
	       WHERE t.PMP=i.pmp and i.code='$problemwith' ") ;
	$rowp=mysqli_fetch_array($pmpr);
	$pmpresp=$rowp['pmp'];$nameresp=$rowp['Name'];
    $perigrafi=$_POST['perigrafi'];
    $datefixed = $_POST['datefixed'];
    $energies=$_POST['energies'];
    $status=$_POST['status'];
	$sql = mysqli_query($con,"SELECT * FROM epidiorthosi WHERE id='$arn' ") ;
	if (mysqli_num_rows($sql) > 0)
	{
       $sql = "UPDATE epidiorthosi SET room='$room',datein='$datein',pmpresp='$pmpresp',problemwith='$problemwith',
       perigrafi='$perigrafi' where id='$arn'  ";
       if (mysqli_query($con, $sql)) {
          echo "Η εγγραφή ενημερώθηκε με επιτυχία!";
       } else {
          echo "Πρόβλημα: " . mysqli_error($con);
       }
	}
	else
	{
		$sql="insert into epidiorthosi (pmp,room,datein,problemwith,pmpresp,perigrafi) values 
		('$usr','$room',now(),'$problemwith','$pmpresp','$perigrafi') ";
		if (mysqli_query($con, $sql)) {
          echo "Η εγγραφή καταχωρήθηκε με επιτυχία!";
       } else {
          echo "Πρόβλημα: " . mysqli_error($con);
       }
	}
  mysqli_close($con);	
}
?>
<br /><br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού  </a>

</body>
</html>